.\"	$NetBSD: makewhatis.8,v 1.11 2005/04/04 08:13:27 wiz Exp $
.\"
.\" Copyright (c) 1997, 2002 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Robert Dobbs <banshee@gabriella.resort.com>.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd April 3, 2005
.Dt MAKEWHATIS 8
.Os
.Sh NAME
.Nm makewhatis
.Nd create a whatis.db database
.Sh SYNOPSIS
.Nm /usr/libexec/makewhatis
.Op Fl fw
.Op Fl C Ar file
.Op Ar manpath ...
.Sh DESCRIPTION
.Nm
strips the NAME lines from compiled or raw
.Xr man 1
pages and creates a whatis.db database for use in
.Xr apropos 1 ,
.Xr whatis 1 ,
or with
.Xr man 1 Ns 's
.Fl k
option.
Man pages compressed with
.Xr compress 1
and
.Xr gzip 1
are uncompressed before processing.
.Pp
When
.Ar manpath
is provided multiple times, the resulting database file
is generated in the first directory specified, and contains
entries for all the directories.
.Pp
If
.Ar manpath
is not provided,
.Nm
parses
.Pa /etc/man.conf
and regenerates the whatis database files specified there.
Each database file is assumed to reside in the root of the appropriate
man page hierarchy.
.Pp
The options are as follows:
.Bl -tag -width XCXfileXX
.It Fl C Ar file
Use
.Ar file
(in
.Xr man.conf 5
format) as configuration file instead of the default,
.Pa /etc/man.conf .
.It Fl f
Don't spawn child processes to generate the individual database files,
but do all the work synchronously in the foreground.
.It Fl w
Print warnings about input files we don't like.
.El
.Sh FILES
.Bl -tag -compact -width /etc/man.conf1
.It Pa whatis.db
name of the whatis database
.It Pa /etc/man.conf
.Xr man 1
configuration file, used to get the location of the whatis databases when
.Nm
is called without arguments
.El
.Sh SEE ALSO
.Xr apropos 1 ,
.Xr man 1 ,
.Xr whatis 1 ,
.Xr man.conf 5
.Sh HISTORY
.An -nosplit
.Nm
first appeared in
.Nx 1.0 ,
as a shell script written by
.An J.T. Conklin Aq jtc@NetBSD.org
and
.An Thorsten Frueauf Aq frueauf@ira.uka.de .
Further work was done by
.An Matthew Green ,
.An Luke Mewburn ,
and
.An Chris Demetriou .
.Pp
.An Matthias Scheler
has reimplemented
.Nm
in C in
.Nx 1.5 .
.Sh AUTHORS
.An Matthias Scheler Aq tron@NetBSD.org
